Autor Wątek: Stery pod stary cdrom.  (Przeczytany 6222 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

Offline witek_w11

  • Zaawansowany użytkownik
  • ****
  • Wiadomości: 399
    • Zobacz profil
Stery pod stary cdrom.
« dnia: Kwiecień 11, 2011, 00:06:51 »
Witam.
Na moim 13-letnim lapku bez problemu instalują się puppy3.0 oraz 4.0, natomiast z kolejnymi mam problem: uruchamianie livea przerywa zaraz po wyjściu z boot komend. Po długich kosmicznych kombinacjach (oraz Twoich poradach w innym moim wątku) doszedłem do wniosku że na 99% jest to kwestia obsługi cdromu. Początkowo planowałem dokupienie innego egzemplarza cdromu do tego lapka ale przemyślałem że pewnie będzie to samo co teraz. W związku z tym mam pytanie: czy nie zostały wycofane jakieś stery do cdromu od puppiego4.1 wzwyż i czy nie można tego jakoś nadrzucić? Akurat potrzebuję przynajmniej wersję 4.1, bo wcześniejszymi nie dostanę się do internetu (kwestia modemu).

Offline fafik

  • Moderator
  • Zaawansowany użytkownik
  • *****
  • Wiadomości: 398
    • Zobacz profil
Odp: Stery pod stary cdrom.
« Odpowiedź #1 dnia: Kwiecień 11, 2011, 10:17:19 »
Niestety nie pamietam co to za laptop :(
Mozezsz jeszcze raz podac co to za sprzet?

Tak na marginesie- wlasnie przygotowywuje spolszczona wersje wary puppy 5.1.1(stworzony przez barry kaulera!!!!!), ktory przeznaczona jest na starszy sprzet na ktorym nie chce startowac lucid. Jest poszerzony o nowe tlumaczenia i dobrze sobie radzi na starszym sprzecie.
Mysle, ze w najblzszy weekend go wrzuce, najpozniej na poczatku przyszlego tygodnia
www.biq-shop.com
www.biq.cc

Offline witek_w11

  • Zaawansowany użytkownik
  • ****
  • Wiadomości: 399
    • Zobacz profil
Odp: Stery pod stary cdrom.
« Odpowiedź #2 dnia: Kwiecień 11, 2011, 18:54:18 »
Laptop IBM thinkpad600, ale to chyba kwestia cdromu nie reszty lapka, bo niektóre wersje puppiego (4.31 i q-qy1.2) zdołałem zainstalować w ten sposób że przerzuciłem na pendraka (slaksem) zawartość płyty i odpalałem puppiego przy włożonym pendraku. Zanim stracił kontakt z cdromem, dostrzegał pendraka i mogłem uruchomić i zainstalować system, ale bez obsługi cdromu (w ogóle nie dostrzegał tego urządzenia). Wary5.0 (nie mam 5.11) również wywala, nie mogę go uruchomić nawet w ten kosmiczny sposób który opisałem. Hmmm... chyba mam absolutnie niszowy problem spowodowany zbiegiem kilku okoliczności.
.
Przy okazji wielki szacunek za spolszczenie. To chyba ewenement że minidystrybucja zostaje całkowicie spolszczona (no, jest spolszczony slax ale tylko na poziomie kde).
.
Edytuję: dodam jeszcze że inne minidistra (tinycore, tinyme, slitaz, deli, slax, damnsmall) uruchamiam i instaluję bez problemu. Wniosek taki że chyba Barry przygotowując puppiego4.1 wywalił jakieś najstarsze stery i teraz ja mam problem.
« Ostatnia zmiana: Kwiecień 11, 2011, 19:09:20 wysłana przez witek_w11 »

Offline fafik

  • Moderator
  • Zaawansowany użytkownik
  • *****
  • Wiadomości: 398
    • Zobacz profil
Odp: Stery pod stary cdrom.
« Odpowiedź #3 dnia: Kwiecień 11, 2011, 20:45:41 »
Hmmmm-znaczy to, ze nie jestes w stanie wystartowac zadnej wersji puppiego z CD-romu?

Jezeli jestes w stanie uruchomic jak kolwiek wersje puppiego na tym laptopie, sprobuj wpisac w terminalu:
# probediskciekaw jestem, czy w ogole cos znajdzie....
Swoja droga- czy pmount tez nie widzial napedu?
A w trakcie bootowania nie pojawia sie nawet pierwszy ekran puppiego, w ktorej jest mozliwosc wejscia do ustawien za pomoca F2?
« Ostatnia zmiana: Kwiecień 11, 2011, 23:13:40 wysłana przez fafik »
www.biq-shop.com
www.biq.cc


Offline witek_w11

  • Zaawansowany użytkownik
  • ****
  • Wiadomości: 399
    • Zobacz profil
Odp: Stery pod stary cdrom.
« Odpowiedź #4 dnia: Kwiecień 11, 2011, 22:54:07 »
Jeszcze raz bo może zbyt chaotycznie mówię.
.
Puppy3.0 oraz 4.0 uruchamia i instaluje bez problemu: wszystko ładdnie działa, widzi cdrom i potrafi obsługiwać płyty cd. Ale tymi wersjami nie dostanę się do internetu ze względu na nieobsługiwanie modemów hsdpa.
.
Wszystkie późniejsze wersje (4.1, 4.11, 4.12, 4.21, 4.31, 5.11, q1.2, w5.0, 4.31retro, 4.31jp, 4.11lxde, 4.31nop bo takie przez kilka miechów sobie pościągałem taki desperat ze mnie) wywala natychmiast po wyjściu z linii komend, niezależnie od tego jaką komendę wydam (pfix=noram, acpi=off, itd...).
.
Wreszcie z trudem udało mi się uruchomić w kosmiczny sposób 2 wersje: 4.31 oraz q1.2. Dokonałem tego w ten sposób że skopiowałem na pendraka (przy pomocy slaksa) zawartość płyty instalacyjnej i bootowałem cd przy włożonym pendraku. Wygląda na to że zanim system stracił kontakt z cdromem, dostrzegł pendraka i już z niego uruchamiał się. Następnie mogłem już dokonać instalacji po zakończeniu której systemy działały (4.31 nawet całkiem całkiem) za wyjątkiem tego szczegółu że nie widziały cdromu w żaden sposób, również w mount. Po prostu wyglądało tak jakby lapek cdromu nie miał.
.
Przyznaję że komenda probedisk z konsoli nie przyszła mi do głowy, choć wątpię czy coś wykaże. Poszukam instalki 4.31, przerzucę na pendraka, uruchomię, wydam polecenie probedisk i z wynikiem doedytuję tego posta.
.
Edytuję: uruchomiłem puppy4.31 live i wydałem polecenie probedisk.
# probedisk
/dev/sda|Direct-Access|ATA        WDC WD800BEVE-00
/dev/sdb|Direct-Access|SanDisk Crusero Micro
Tak więc widzi twardziela i pendraka a o cdromie ani mru mru.
« Ostatnia zmiana: Kwiecień 11, 2011, 23:30:42 wysłana przez witek_w11 »

Offline fafik

  • Moderator
  • Zaawansowany użytkownik
  • *****
  • Wiadomości: 398
    • Zobacz profil
Odp: Stery pod stary cdrom.
« Odpowiedź #5 dnia: Kwiecień 11, 2011, 23:28:13 »
Jeszcze jedno:
czy w biosie masz wylaczony quickboot?
Czy zainstalowany bios jest ostatnia, aktualna wersja?

czy probowales polecenie:
puppy acpi=forcemozesz jeszce sprobowac jedno z nastepujacych, dodajac wszedzie na poczatku oczywiscie puppy:
pci=biosirq
acpi=noirq
acpi=strict
pci=nosort
« Ostatnia zmiana: Kwiecień 12, 2011, 00:05:55 wysłana przez fafik »
www.biq-shop.com
www.biq.cc

Offline witek_w11

  • Zaawansowany użytkownik
  • ****
  • Wiadomości: 399
    • Zobacz profil
Odp: Stery pod stary cdrom.
« Odpowiedź #6 dnia: Kwiecień 13, 2011, 18:40:58 »
Po zastosowaniu opcji
puppy acpi=force
mogę uruchomić i zainstalować bez problemu wszystkie posiadane przeze mnie wersja puppiego (za wyjątkiem lucid5.1.1, którego wywala jeszcze przed linią komend). Uruchamia się nawet fafik5.2!!! (niestety przymula chyba ze względu na animacje ikon i zasobożerne tematy/okna).
.
Ale moja szalona radość trwała króciutko, gdyż okazało się że w dalszym ciągu nie widzi usb i pcimcia, a więc nie mam dostępu do pendraków i modemu. Najśmieszniejsza sytuacja jest z wersją 4.31, która jako jedyna widzi pendraki i modem ale tylko przy komendzie acpi=off, natomiast przy acpi=force przestaje je widzieć , za to dostrzega ponownie cdrom. Poza tym przy acpi=force zaczyna już przymulać. Normalnie Monty Pyton by tego nie wymyślił.
.
Natomiast sugerowane przez Ciebie zmiany w biosie oraz pozostałe komendy nie mają wpływu na zaistniałą sytuację (w każdym razie nie zauważyłem dotychczas). Poeksperymentuję jeszcze kilka dni i zobaczę czy uda mi się coś osiągnąć.

Offline fafik

  • Moderator
  • Zaawansowany użytkownik
  • *****
  • Wiadomości: 398
    • Zobacz profil
Odp: Stery pod stary cdrom.
« Odpowiedź #7 dnia: Kwiecień 13, 2011, 21:00:33 »
Hmmm.
No wiec po acpi=force napewno bedzie problem z siecia i byc moze z dzwiekiem. to dosc normalne na tym modelu.
Powinienes wyprobowac jeszcze jedna z pozostalych opcji. Byc moze bedzie miala lepsze dzialanie (przede wszystkim puppy pci=biosirq).
Z tego co mi na dzien dzisiejszy wiadomo to problem z ustawieniami irq......
« Ostatnia zmiana: Kwiecień 13, 2011, 21:03:08 wysłana przez fafik »
www.biq-shop.com
www.biq.cc

Offline witek_w11

  • Zaawansowany użytkownik
  • ****
  • Wiadomości: 399
    • Zobacz profil
Odp: Stery pod stary cdrom.
« Odpowiedź #8 dnia: Kwiecień 14, 2011, 01:39:59 »
Rzeczywiście to może być wina biosa, gdyż mam chyba jeszcze fabrycznego. Nie dokonałem upgrejdu bo mam zupełnie padnięty akumulatorek i wywala mi przy próbie instalacji najnowszego biosa (z 2001 roku), a nie czułem parcia na kupno nowego aku bo i tak zawsze korzystam z sieci 230V.
.
Okey, będę miał co eksperymentować, chociaż raczej czarno to zaczynam widzieć.